<?php

require_once ("../../config/Cado.php");

require_once("cMoneda.php");

$oMoneda = new cMoneda();





if($_POST['action_moneda']=="insertar"){

	if(!empty($_POST['txt_mon_nom']))

	{

		$oMoneda->insertar($_POST['txt_mon_sim'], $_POST['txt_mon_nom']);

		

			$dts=$oMoneda->ultimoInsert();

			$dt = mysqli_fetch_array($dts);

		$mon_id=$dt['last_insert_id()'];

			mysqli_free_result($dts);

		

		$data['mon_id']=$mon_id;

		$data['mon_msj']='Se registró correctamente.';

	}

	else

	{

		$data['mon_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}







if($_POST['action_moneda']=="editar")

{

	if(!empty($_POST['txt_mon_nom']))

	{

		$oMoneda->modificar($_POST['hdd_mon_id'],$_POST['txt_mon_sim'],$_POST['txt_mon_nom']);

		

		$data['mon_msj']='Actualizado correctamente.';

	}

	else

	{

		$data['mon_msj']='Intentelo nuevamente.';

	}

	echo json_encode($data);

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['mon_id']))

	{

			$oMoneda->modificar_campo($_POST['mon_id'],'xac','0');

			echo 'Se envió a la papelera correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

?>